MacBook Pro used as a remote can't update to required version

I have my core on a Sonic Transporter i5 and have everything updated to 1.3 now. All my remotes (apple laptops and iPads) updated to a new version as well and are working except for one MacBook Pro that I use as a remote. When I open Roon on that MBP I connect to my core, and then the next screen says the MBP needs an update. But when I click on the update button nothing happens. How can I force the update or use another machine to get that MBP to update?

@Sarah_Clement Remove your current version and download the latest from the Roon website.

Thanks Ratbert–will try that now